html {
  height: 100%;
}

body {
  min-height: 100%;
  margin: 0;
  padding: 0;
  font-family: -apple-system, system-ui, BlinkMacSystemFont, 'Segoe UI', Roboto,
    'Helvetica Neue', Arial, sans-serif;
  font-size: 0.875rem;
  font-weight: normal;
  line-height: 1.5;
  color: #383e4b;
  background-color: #f5f5f5;
  overscroll-behavior: none; /* to prevent white space bounce after scrolling to top/end of page */
}

body:has(#dialogContent) {
  overflow: auto !important;
}

h4 {
  font-size: 1.5rem;
  font-weight: 500;
  line-height: 1.1;
}

a {
  color: #36a9e1;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

#root > [data-reactroot] {
  height: 100% !important;
  position: absolute;
  width: 100% !important;
}

.MuiTypography-root.MuiCardHeader-subheader {
  font-size: 0.92rem;
  line-height: 1.5;
  letter-spacing: 0.00938em;
}

::-webkit-scrollbar {
  -webkit-appearance: none;
  width: 10px;
}

::-webkit-scrollbar-thumb {
  border-radius: 5px;
  background-color: rgba(0, 0, 0, 0.5);
  -webkit-box-shadow: 0 0 1px rgba(255, 255, 255, 0.5);
}

/* to make sure drawer is on top of everything */
.debug {
  width: 24px;
  height: 24px;
  background-color: rgba(240, 240, 240, 0.5); /* Example background color */
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: monospace;
  font-size: 10px;
  text-align: center;
  overflow: hidden;
  white-space: nowrap;
  position: absolute;
  z-index: 10;
  text-shadow: 1px 1px rgba(0, 0, 0, 0.5);
  border-width: 2px;
  border-style: solid;
  border-color: #ffffff;
  color: white;
}
